Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
Gomi
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 24.12.2017
Postitused: 86

Distributsioon: Gentoo, Debian
estonia.gif
postituspostitatud: 28.06.2018, 01:44  postituse pealkiri:  (teema puudub)  

zeroconf kirjutas:
Aadressil https://www.ria.ee/limesurvey/index.php/181529 kogutakse tagasisidet DigiDoc4 osas - seal võiks siis avaldada soovi autonoomse ID-kaarditarkvara suhtes. Minu soovitus oleks ID-kaarditarkvara teha autonoomsena, nt AppImage (Wikipedia artikkel ja https://appimage.org/) vormingus, mis on kui
distro-agnostiline tarkvaravorming ehk siis töötab sisuliselt suvalise Linuxi distroga ja sisuliselt ainus asi, mida teha tuleb - allalaaditud fail käivitatavaks muuta. Tasub piisavalt vana versiooni glibc suhtes kompileerida (nt v2.12), et töötaks ka vanemates Linuxites. Versiooni näeb
Kood:
ldd --version
abil. Võib ka eri glibc versioonide suhtes kompileerida kuid väga ei ole mõtet. Glibc versioonide ajalugu.
AppImage'ina pakendamine on ilmselt tunduvalt lihtsam kui eri Linuxi distrote või isegi sama distro eri versioonide jaoks pakendama hakata ja seda siis ka kogu aeg ajakohasena hoida ehk siis uute versioonide välja tulles uuesti kõikide distrote ja nende eri versioonide jaoks pakendada.... Siis oleks üks 32-bit ja üks 64-bit .AppImage fail, mis töötab ka näiteks 5...10 aastat (või isegi veel rohkem) vanade distrotega.
-----------------------
Mõte on pakendada ID-kaarditarkvara selliselt, et:
* seda saaks kohe peale allalaadimist kasutada
* ei vajaks superkasutaja õigusi
* ei sõltuks Linuxi distributsioonist kui tegemist Linuxile mõeldud versiooniga
* ideaalis oleks üks fail, mida alla laadida
* oleks sisse ehitatud automaatne uuendamine, mis ei nõua superkasutaja õigusi


ID-kaardiga endaga rääkimiseks oleks ikkagi vaja pcscd'd vist ju? Kas see ka töötab lihtsalt niisama root-õigusteta AppImage'iga?


libre
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 27.05.2018
Postitused: 91

Distributsioon: debian
blank.gif
postituspostitatud: 28.06.2018, 09:32  postituse pealkiri:  (teema puudub)  

Ma
ei usu, et RIA soodustab vanade ja ebaturvaliste arvutite kasutamist,
küll aga on tehtud hea rakendus nutimobiilidele: Smart-ID.
Seda saab kasutada ka arvuti veebilehitsejas, kus ei ole id tarkvara.
Lihtsalt tuvastamine suunatakse smart-id rakendusele. Sul piisab vaadata
veebilehel kinnituskoodi ja smart-id rakenduse käivitades sama
kinnituskoodi kinnitades PIN1-ga smart-id's.

Ise ma püüan kasutada neid riiklike tuvastussüsteeme nii vähe kui
võimalik.

_________________
A10K
Image

123to
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 31.05.2014
Postitused: 92

Distributsioon: Xubuntu 14.04, 18.04
estonia.gif
postituspostitatud: 28.06.2018, 17:21  postituse pealkiri:  (teema puudub)  

Gomi kirjutas:
zeroconf kirjutas:
Aadressil https://www.ria.ee/limesurvey/index.php/181529 kogutakse tagasisidet DigiDoc4 osas - seal võiks siis avaldada soovi autonoomse ID-kaarditarkvara suhtes. Minu soovitus oleks ID-kaarditarkvara teha autonoomsena, nt AppImage (Wikipedia artikkel ja https://appimage.org/) vormingus, mis on kui
distro-agnostiline tarkvaravorming ehk siis töötab sisuliselt suvalise Linuxi distroga ja sisuliselt ainus asi, mida teha tuleb - allalaaditud fail käivitatavaks muuta. Tasub piisavalt vana versiooni glibc suhtes kompileerida (nt v2.12), et töötaks ka vanemates Linuxites. Versiooni näeb
Kood:
ldd --version
abil. Võib ka eri glibc versioonide suhtes kompileerida kuid väga ei ole mõtet. Glibc versioonide ajalugu.
AppImage'ina pakendamine on ilmselt tunduvalt lihtsam kui eri Linuxi distrote või isegi sama distro eri versioonide jaoks pakendama hakata ja seda siis ka kogu aeg ajakohasena hoida ehk siis uute versioonide välja tulles uuesti kõikide distrote ja nende eri versioonide jaoks pakendada.... Siis oleks üks 32-bit ja üks 64-bit .AppImage fail, mis töötab ka näiteks 5...10 aastat (või isegi veel rohkem) vanade distrotega.
-----------------------
Mõte on pakendada ID-kaarditarkvara selliselt, et:
* seda saaks kohe peale allalaadimist kasutada
* ei vajaks superkasutaja õigusi
* ei sõltuks Linuxi distributsioonist kui tegemist Linuxile mõeldud versiooniga
* ideaalis oleks üks fail, mida alla laadida
* oleks sisse ehitatud automaatne uuendamine, mis ei nõua superkasutaja õigusi


ID-kaardiga endaga rääkimiseks oleks ikkagi vaja pcscd'd vist ju? Kas see ka töötab lihtsalt niisama root-õigusteta AppImage'iga?


ilmselt ka browsereid ei õnnestu läbi selle appimage kaartiga suhtlema panna


libre
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 27.05.2018
Postitused: 91

Distributsioon: debian
blank.gif
postituspostitatud: 29.06.2018, 09:26  postituse pealkiri:  (teema puudub)  

123to kirjutas:

ilmselt
ka browsereid ei õnnestu läbi selle appimage kaartiga suhtlema
panna

Peaks saama, sest firefox leiab need oma kataloogidest automaatselt
üles, piisab ka lingist.

Samas on kõik võimalik. Kõik_ühes_binaar on võimalik turvakasti
ehitada, et vanemate arvutite libc teekide augud tervet programmi ei
rikuks..

_________________
A10K
Image

Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group